Support Services

Fast and professional to support your business
Welcome, Guest
Username: Password: Remember me

TOPIC: Wrong version?

Wrong version? 3 years 3 months ago #6624

  • cog
  • cog's Avatar
  • Offline
  • Junior Boarder
  • Posts: 31
  • Thank you received: 1
  • Karma: 0
I just installed Belong version 2.0.2 of the plugin and 114 of the component. As soon as I set the API Token I am greeted with this warning:

"Before Belong can communicate with Joomla you must uninstall the older Belong version 1.0 component and associated plugins."

I have checked the plugins where all I have installed is the API Handler plugin. and the only component there is the 114 version.

Also in the component in Joomla I have these errors in the Remote Settings Check:

Belong is disabled within WHMCS!
Please upgrade: `/includes/api/belong.php` @ v | Belong @1.1.4.
Please upgrade: WHMCS Addon Module @ v | Joomla @1.1.4.

Odd that it would error out with this because right above it it says Belong version 1.1.4.

Something is very off here...
The administrator has disabled public write access.

Wrong version? 3 years 3 months ago #6625

  • cog
  • cog's Avatar
  • Offline
  • Junior Boarder
  • Posts: 31
  • Thank you received: 1
  • Karma: 0
As a matter of fact, the only version I have downloaded and installed is 2.0.2.

I just did a complete uninstall (checked that all database entries were gone) and a fresh reinstall and I still get the warning...
Last Edit: 3 years 3 months ago by cog.
The administrator has disabled public write access.

Wrong version? 3 years 3 months ago #6626

  • cog
  • cog's Avatar
  • Offline
  • Junior Boarder
  • Posts: 31
  • Thank you received: 1
  • Karma: 0
Thinking I need to set things up on WHMCS side I went in, set it up and then when I got to the part where i had to add a new plugin I selected Joomla from the dropdown and clicked add new. The instructions said I need to give it a name but the problem is all I am presented with is a Submit and Cancel button. There is no field anywhere to give it a name and then of course if I try to click Submit I get the message telling me no plugin was specified. Thinking maybe this was a browser issue I switched to Firefox but had the same issue there. I would also note that when trying to create the plugin the cancel button does not work.

What on earth have I missed setting up?

For Information:
Joomla: 2.5.14
Joomla API Plugin: 2.0.2
WHMCS: 5.2.7
Belong: Joomla 1.1.4 - WHMCS 2.0
Dunamis: 1.1.3
Last Edit: 3 years 3 months ago by cog.
The administrator has disabled public write access.

Wrong version? 3 years 3 months ago #6627

  • cog
  • cog's Avatar
  • Offline
  • Junior Boarder
  • Posts: 31
  • Thank you received: 1
  • Karma: 0
For grins I went into the plugin (whmcs.php and whmcs.xml) that I uploade (version 2.0.2) and it does in fact say that it is version 1.1.4 on both files. So can we assume that the download package contains the wrong version?
The administrator has disabled public write access.

Wrong version? 3 years 3 months ago #6629

  • cog
  • cog's Avatar
  • Offline
  • Junior Boarder
  • Posts: 31
  • Thank you received: 1
  • Karma: 0
Not sure when you work but I would think with all the money I laid down for these extensions from you I deserve some help.

If I cannot get support then how about refunding my purchase, at least for Belong since I obviously will not be able to use it as is.
Last Edit: 3 years 3 months ago by cog.
The administrator has disabled public write access.

Wrong version? 3 years 3 months ago #6631

  • cog
  • cog's Avatar
  • Offline
  • Junior Boarder
  • Posts: 31
  • Thank you received: 1
  • Karma: 0
I have decided to abandon the need for this and found another solution. In fact I will not be troubling you with any more support since you obviously don't provide it anyway.

No recommendation coming from here...
The administrator has disabled public write access.

Wrong version? 3 years 3 months ago #6643

  • Steven
  • Steven's Avatar
  • Offline
  • Administrator
  • Posts: 883
  • Thank you received: 60
  • Karma: 13
I apologize for not seeing this earlier and I'm sorry it gave you such trouble.

For the record for anyone else that comes across this issue - you should only download the two files in the 2.0.2 version... I see now why everyone is getting the 1.1.4 component as it's showing up in the module on the right when logged in. I'll correct this so it no longer shows, but the fix on this is to uninstall the Belong 1.1.4 component from within Joomla.
Stars on the Joomla! Extension Directory are always appreciated
If you found this response useful, don't forget to hit Thank You!
The administrator has disabled public write access.

Wrong version? 3 years 3 months ago #6646

  • cog
  • cog's Avatar
  • Offline
  • Junior Boarder
  • Posts: 31
  • Thank you received: 1
  • Karma: 0
Thanks, now the only issue I have is when I go into Belong on the WHMCS side and try to add a new plugin all I see is a submit and cancel button. There is no place to add in the API key and also the cancel button has no function...;(
Last Edit: 3 years 3 months ago by cog.
The administrator has disabled public write access.

Wrong version? 3 years 3 months ago #6648

  • Steven
  • Steven's Avatar
  • Offline
  • Administrator
  • Posts: 883
  • Thank you received: 60
  • Karma: 13
Ah - that's because I have a bug in the Dunamis library...

Open this file:
[WHMCS]/includes/dunamis/core/form.php

@ line 235 you will see:
return;
return $form;

That will be in the parseForm function... remove the first return; so it just reads:
return $form;

A fix for this is in 1.1.4 and I've been trying to get it out the door all week this week, but will hopefully soon.
Stars on the Joomla! Extension Directory are always appreciated
If you found this response useful, don't forget to hit Thank You!
The administrator has disabled public write access.
Time to create page: 0.040 seconds
Powered by Kunena Forum